# 项目仓库  

***PC*** http://svn.ouj.com:3000/FED/dwweb-pc    

![avatar](../image/cms1.jpg) 

***H5*** http://svn.ouj.com:3000/FED/dwweb-h5  

![avatar](../image/cms2.jpg)  

## 技术栈：

fis3,node6,jquery

### 项目结构

```Text
|- dwweb-pc                 --- 多玩仓库pc
    |- 2017专区             --- zt2017分支-多玩专区模板
    |- 2017专题             --- zt2017分支-多玩专题模板
    |- 2018专题             --- zt2018分支-多玩专题模板
    |- 2019专题             --- zt2019分支-多玩专题模板
    |- 5253                 --- 5253act分支
    |- LOL                   
    |- 播放器                ---dwplayer分支-多玩新版播放器
    |- 多玩视频              ---dwplayer分支-多玩新版播放器
    |- 多玩视频助手           ---videoBox分支-多玩视频助手（订阅号追踪）
    |- 多玩右下角公用弹窗     ---已迁移到公共资源（已废弃）
    |- 公共资源              ---common分支（进公共资源了解更多）
        |-src
            |- daList
            |- daList_recommand
                |-sidebar.js         ---专区侧边栏
            |- dwFoot
                |-duowanFooter.js    ---通用底部
            |- dwNavbar            
                |-navbar.js          ---通用顶部导航
            |- dwNavBar2017
            |- dwPlusReport
                |-plusReport.js      ---金豆商城数据上报js
            |- dwUDBBind
            |- dwUDBProxy
            |- fnAd
            |- img
            |- js                    ---公共资源 向外界暴露的js
                |-articleComment.js     ---公共移动端评论js
                |-articleCommentFlex.js ---（废弃）
                |-dastat.js             ---通用广告上报（点击+展示）
                |-dwBaiduHmt.js         ---通用百度统计
                |-dwExternalVideo.js    ---文章页适配外站视频js
                |-dwudbproxy.js         ---通用登录
                |-dwudbproxy-new.js     
                |-statistics.js         ---非多玩域链接点击统计
                |-ya.js
                |-yastat.js             ---通用广告上报（点击+展示）旧广告系统
                |-zepto.min.js.js
            |- lib
            |- js
            |- loadGif
            |- newsPopup
                |-newsPopup.js          ---通用多玩迷你版新闻
            |- newsWechatShare
    |- 旧版多玩公共资源       ---发布器markdom,master分支
    |- 联运游戏              ---忽略,忘记分支了，暂时也下线了，待后续补充            
    |- 论坛                  ---zt2017分支，暂时里面只有一个2016年度总结专题
    |- 商务                  ---adsystem分支-多玩自主广告系统静态资源
|- dwweb-h5                           --- 多玩仓库h5
    |- 2017多玩新版wap站               多玩h5站模板资源
|- pub                           --- 最终编译打包资源目录
```

## 发布地址

http://dev.webdev.ouj.com/index.php?r=task/index&project_id=50
    
***发布后访问地址：*** [http://pub.dwstatic.com/+对应文件路径](http://pub.dwstatic.com/)

[![avatar](../image/cms4.png)](../image/cms4.png)  

## 刷新cdn（若缓存不刷新才需要） 

多玩任意专区进去 -> 其他操作-> 刷新  

[![avatar](../image/cms5.png)](../image/cms5.png)  

## 多玩专区专题注意

①开发时要注意当前分支，不要切换错分支了  

③build完路径,无论用fis3,webpack,parcel等等，要遵循以下规则,build完要检测文件路径是否正确：

[![avatar](../image/cms13.png)](../image/cms13.png)  

*以上规则只适用一般专题规范,注意zt2018,zq2018在统一在zt2018分支的，以此类推  
若是h5专区专题一般放在/pub/p/下适用,按实际情况*  

②若是要看以前专题所在分支的话，则看查看对应专题资源路径切换分支则可以看到  

***注意***：zt2018,zq2018在统一在zt2018分支的，以此类推  

[![avatar](../image/cms12.png)](../image/cms12.png)
